void CopyTMData() {
	IO::FileSource sourceFile = IO::FileSource("TMData/" + PIPE_URL);
	MemoryBuffer sourceFileBuf = sourceFile.Read(sourceFile.Size());

	// Need to create the folder before writing the file.
	string fileToWrite = IO::FromUserGameFolder(PIPE_URL);
	// Cut off the file part to only create a folder until there.
	string fileNameOfPath = fileToWrite.Split("/")[fileToWrite.Split("/").Length - 1];
	string folderToCreate = fileToWrite.SubStr(0, fileToWrite.Length - fileNameOfPath.Length);
	IO::CreateFolder(folderToCreate);
	// Write file.
	IO::File destFile(fileToWrite, IO::FileMode::Write);
	destFile.Write(sourceFileBuf);
	destFile.Close();
}