[Setting category="General" name="Last saved TMData version" hidden]
string Setting_TMDataLastSave = "";

[Setting hidden]
bool Setting_PopupShown = false;

const string PIPE_URL = "Media/Sounds/pipe.wav";

bool ChangeSoundSource(CMwStack &in stack) {
	stack.CurrentString(0) = "file://" + PIPE_URL;
	return true;
}

bool ChangeSoundSourceEx(CMwStack &in stack) {
	stack.CurrentString(4) = "file://" + PIPE_URL;
	return true;
}

void Render() {
	Renderables::Render();
}

void Main()
{
	if (Setting_TMDataLastSave != Meta::ExecutingPlugin().Version) {
		CopyTMData();
		Setting_TMDataLastSave = Meta::ExecutingPlugin().Version;
		Renderables::Add(RestartGameModalDialog());
	} else {
		if (!Setting_PopupShown) Renderables::Add(RestartMenuModalDialog());
		Dev::InterceptProc("CAudioScriptManager", "CreateSound", ChangeSoundSource);
		Dev::InterceptProc("CAudioScriptManager", "CreateSoundEx", ChangeSoundSourceEx);
	}

	while (true) {
		yield();
	}
}