class RestartMenuModalDialog : ModalDialog
{
	RestartMenuModalDialog()
	{
		super("Metal Pipe ready to fall!");

		m_size = vec2(475, 90);
	}

	void RenderDialog() override
	{
		UI::Text("If you want to also hear the sound in the Main Menu, you need to reload it!\n(Shift + Scroll Lock or Shift + Pause).");
		UI::SetCursorPos(vec2(UI::GetWindowSize().x - 72, UI::GetWindowSize().y - 32));
		if (UI::Button("OK " + Icons::ThumbsUp)) {
			Close();
			Setting_PopupShown = true;
		}
	}
}
